Bug 525678 - SHA256: dbchange for channel preferred checksum method
Summary: SHA256: dbchange for channel preferred checksum method
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other
Version: RHN Stable
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Sebastian Skracic
QA Contact: Red Hat Network Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 519193 rhn-sprint31
TreeView+ depends on / blocked
 
Reported: 2009-09-25 09:22 UTC by Sebastian Skracic
Modified: 2010-03-18 12:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-18 12:49:11 UTC


Attachments (Terms of Use)

Description Sebastian Skracic 2009-09-25 09:22:19 UTC
The Channel domain object has to provide preferred checksum method, which
will affect at least repodata generation.

Comment 1 Sebastian Skracic 2009-09-28 15:09:06 UTC
dbchange files provided in 59e7c2812ce49d00d448f880ed3bde6cd2290fc2.

Comment 2 Sebastian Skracic 2009-09-28 15:09:27 UTC
dbchange applied to WEBDEV database.

Comment 3 Sebastian Skracic 2009-10-02 14:16:41 UTC
Test Case #1:

Verify that checksum_type_id column exist in rhnChannel table:

$ sqlplus ....

SQL> desc rhnChannel

EXPECTED:

 Name                                      Null?    Type
 ----------------------------------------- -------- ----------------------------
 ID                                        NOT NULL NUMBER
[...]
 CHECKSUM_TYPE_ID                                   NUMBER

Comment 4 Denise Hughes 2009-10-06 20:01:32 UTC
Verified on webdev
Testopia ID:
https://testopia.devel.redhat.com/bugzilla/tr_show_case.cgi?case_id=12594


Note You need to log in before you can comment on or make changes to this bug.